Installation
------------
To build and install:

1. mkdir build
2. cd build
3. cmake ..
4. make
5. make install

The following options may be supplied to cmake:

    -DQTC_QT_ONLY=true
        Build style as a pure Qt4 style.

    -DQTC_OLD_NVIDIA_ARROW_FIX=true
        Due to QtCurve mixing AA-drawing, with non-AA drawing (specifically for
        arrows) - sometimes the arrows would not draw correctly under NVidia. To
        work-around this, QtCurve filled the arrows using AA-ed drawing, and used
        non-AA drawing for the edges. As of 0.69.0 this code is no longer enabled
        by default - use this config option to re-enable the code.

    -DQTC_STYLE_SUPPORT=true
        Support QtCurve style files. These are stored as
        <kde prefix>/share/apps/kstyle/themes/qtc_<stylename>.themerc
        
    -DQTC_ENABLE_PARENTLESS_DIALOG_FIX_SUPPORT=true
        Enable support for the 'fixParentlessDialogs' config option. NOTE: This is
        known to break some applications - hence is disabled by default!

Windows
-------
It has been reported that building via cmake on windows can have problems. To ease this,
QtCurve includes a qmake folder containg files to build only the style via qmake.

To build with qmake:
1. cd qmake
2. qmake
3. make

XBar/MacMenu
------------
The XBar support was copied directly from Bespin. The relevant files are named macmenu*
These were taken from revision 652

Themes
------
As of v0.55, you can create QtCurve based themes. These will appear with KDE's style
control panel's combobox of styles. To create a new theme, select 'QtCurve' from
within KDE's style panel, then configure QtCurve as required. After this, in QtCurve's
config dialog, select 'Export theme' from the options menu button. You will then be
prompted to give your new 'theme' a name, and a comment. QtCurve will then create a file
named 'qtc_<name>.themerc (e.g. qtc_klearlooks.themerc) - this will have the following
format:

    [Misc]
    Name=Klearlooks
    Comment=Clearlooks inspired style
    [KDE]
    WidgetStyle=qtc_klearlooks
    [Settings]
    animatedProgress=false
    appearance=gradient
    ....rest of qtcurve settings...

To use this theme, either copy qtc_<name>.themerc to
$KDEHOME/share/apps/kstyle/themes/ (usually ~/.kde/share/apps/kstyle/themes/)
or copy to <kde install prefix>/share/apps/kstyle/themes/ (usually
/usr/share/apps/kstyle/themes/)

When KDE's style panel is restarted, your new theme should appear in the list.

NOTE: As of QtCurve 1.0.0 style support has been disabled by default, and you will
need to explicitly enable it via QTC_STYLE_SUPPORT

Testing
-------
As of v1.2.1, QtCurve can be forced to read its settings from an alternate config
file via the QTCURVE_CONFIG_FILE environment variable. This is only really useful
for testing alternate config settings without changing the users current settings.
Usage:

    QTCURVE_CONFIG_FILE=~/testfile kcalc

Creating Distribution Packages
------------------------------
CMake (as of v2.4.x) does not support building rpm or deb packages, and a simple
checkinstall will not work. CMake 2.6 should support rpm and deb packages, but until
then I have supplied a simple shell script to build a package with checkinstall.
To use this:

1. Install QtCurve as described above
2. From within the 'build' folder from step 2 above, call ../common/mkpkg
3. Answer the checkinstall questions.

pixmaps.h
---------

To regenerate this, run the following:

    qembed check_on.png check_x_on.png > pixmaps.h
    qembed shadow?.png > shadow.h

'qembed' is part of Qt3 dev packages. pixmaps.h needs to be edited and the QCString parts removed.
